Package org.silverpeas.mobile.client.components

## Class Popin

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.SimplePanel
        - - com.google.gwt.user.client.ui.PopupPanel
          - - org.silverpeas.mobile.client.components.Popin

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.logical.shared.HasCloseHandlers<com.google.gwt.user.client.ui.PopupPanel>`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.EventPreview`, `com.google.gwt.user.client.ui.AcceptsOneWidget`, `com.google.gwt.user.client.ui.HasAnimation`, `com.google.gwt.user.client.ui.HasOneWidget`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.HasWidgets`, `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`, `com.google.gwt.user.client.ui.IsWidget`, `com.google.gwt.user.client.ui.SourcesPopupEvents`, `Iterable<com.google.gwt.user.client.ui.Widget>`

      public class Popin
      extends com.google.gwt.user.client.ui.PopupPanel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.PopupPanel

      `com.google.gwt.user.client.ui.PopupPanel.AnimationType, com.google.gwt.user.client.ui.PopupPanel.PositionCallback`

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `EXTRALONG_DURATION` |
    `static int` | `LONG_DURATION` |
    `static int` | `NORMAL_DURATION` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Popin​(String message)` |
    `Popin​(String message, int duration)` |

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.user.client.ui.PopupPanel

      `addAutoHidePartner, addCloseHandler, addPopupListener, center, getAnimationType, getContainerElement, getGlassElement, getGlassStyleName, getOffsetHeight, getOffsetWidth, getPopupLeft, getPopupTop, getStyleElement, getTitle, hide, hide, isAnimationEnabled, isAutoHideEnabled, isAutoHideOnHistoryEventsEnabled, isGlassEnabled, isModal, isPreviewingAllNativeEvents, isShowing, isVisible, onEventPreview, onKeyDownPreview, onKeyPressPreview, onKeyUpPreview, onPreviewNativeEvent, onUnload, removeAutoHidePartner, removePopupListener, setAnimationEnabled, setAnimationType, setAutoHideEnabled, setAutoHideOnHistoryEventsEnabled, setGlassEnabled, setGlassStyleName, setHeight, setModal, setPopupPosition, setPopupPositionAndShow, setPreviewingAllNativeEvents, setTitle, setVisible, setWidget, setWidth, show, showRelativeTo`

    - ### Methods inherited from class com.google.gwt.user.client.ui.SimplePanel

      `add, getWidget, iterator, remove, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, clear, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### NORMAL_DURATION

          public static final int NORMAL_DURATION

      See Also:
        Constant Field Values

    - #### LONG_DURATION

          public static final int LONG_DURATION

      See Also:
        Constant Field Values

    - #### EXTRALONG_DURATION

          public static final int EXTRALONG_DURATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Popin

          public Popin​(String message,
                       int duration)

    - #### Popin

          public Popin​(String message)